## ros-noetic-rm-orientation-controller 0.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(rm_orientation_controller)

## Use C++14
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

## By adding -Wall and -Werror, the compiler does not ignore warnings anymore,
## enforcing cleaner code.
add_definitions(-Wall -Werror)

## Find catkin macros and libraries
find_package(catkin REQUIRED
        COMPONENTS
        roscpp

        sensor_msgs
        rm_common

        pluginlib
        forward_command_controller
        tf2_geometry_msgs
        angles
        )

## Find system libraries
find_package(Eigen3 REQUIRED)
find_package(Boost REQUIRED)

catkin_package(
        INCLUDE_DIRS
        include
        LIBRARIES
        CATKIN_DEPENDS
        roscpp

        sensor_msgs
        rm_common

        pluginlib
        forward_command_controller
        tf2_geometry_msgs
        angles
        LIBRARIES ${PROJECT_NAME}
)


###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
    include
    ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
add_library(${PROJECT_NAME} src/orientation_controller.cpp)

## Specify libraries to link executable targets against
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(
    TARGETS ${PROJECT_NAME} ${PROJECT_NAME}
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(
    DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h"
)

# Mark other files for installation
install(
        DIRECTORY test
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(
    FILES rm_orientation_controller_plugin.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

#if (${CATKIN_ENABLE_TESTING})
#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
#  ## Add gtest based cpp test target and link libraries
#  catkin_add_gtest(${PROJECT_NAME}-test
#      test/test_ros_package_template.cpp
#      test/AlgorithmTest.cpp)
#  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
#endif ()

=== debian/changelog ===
ros-noetic-rm-orientation-controller (0.1.7-1buster) buster; urgency=high

  * Optimize rm_orientation_controller.
  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-rm-orientation-controller (0.1.6-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-orientation-controller (0.1.5-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Merge pull request #63 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/63> from ye-luo-xi-tui/master
    Publish tf from odom to base_link use imu data which is got from interface until getting imu data from topic
  * 0.1.4
  * Publish tf from odom to base_link use imu data which is got from interface until get imu data from topic.
  * Merge pull request #53 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/53> from ye-luo-xi-tui/orientation_controller
    Fix a bug that time stamp error
  * Fix a bug that time stamp error when it can't find transform from imu to odom.
  * Merge branch 'master' into gimbal_track
  * Merge pull request #45 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/45> from mlione/master
    Delete some config files in rm_controllers.
  * Merge pull request #50 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/50> from ye-luo-xi-tui/ori
    Make rm_orientation_controller publish tf use imu data on the topic
  * Delete some config files in rm_controller.
  * Solve a problem that look up future transform.
  * Delete publish_rate and relative codes.
  * Publish tf use imu data on the topic.
  * Merge pull request #46 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/46> from ye-luo-xi-tui/master
    Deprecated imu_filter_controller
  * Contributors: QiayuanLiao, YuuinIH, mlione, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-orientation-controller (0.1.3-1buster) buster; urgency=high

  * Merge branch 'master' into forward_feed
  * Merge pull request #40 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/40> from ye-luo-xi-tui/maintain
    Delete configuration of robot_state_controller in each of controllers' config file
  * Delete configuration of robot_state_controller in each of controllers' config file
  * Merge branch 'master' into standard3
  * Merge remote-tracking branch 'origin/master'
  * Contributors: QiayuanLiao, qiayuan, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-orientation-controller (0.1.2-1buster) buster; urgency=high

  * Merge branch 'master' into omni_wheel_controller
  * Merge pull request #23 <https://github.com/rm-controls/rm_controllers/issues/23> from ye-luo-xi-tui/master
    Add ImuFilterBase, overwrite ComplementaryController, add MadgwickController
  * Fix format error
    (cherry picked from commit f7519e6800095d933f9d4c85f108ae5260001572)
  * Merge branch 'master' of https://github.com/YuuinIH/rm_controllers
  * Merge branch 'gimbal/opti_or_simplify' into chassis/balance_imu_interface
  * Run pre-commit
  * Merge branch 'master' into gimbal/opti_or_simplify
    # Conflicts:
    #     rm_orientation_controller/launch/load_controllers.launch
    #     rm_orientation_controller/src/orientation_controller.cpp
  * Merge branch 'master' into chassis/balance_imu_interface
  * Run pre-commit
  * Update the config of rm_orientation_controller, load only one controller on launch instead of spawn controllers
  * Correct "rm_orientation_controllers" to "rm_orientation_controller".
  * Fix pre-commit
  * Code style and delete unnecessary
  * Merge branch 'master' into imu_filter_controllers
    # Conflicts:
    #     imu_filter_controllers/CMakeLists.txt
    #     imu_filter_controllers/include/imu_filter_controllers/complementary_controller.h
    #     imu_filter_controllers/package.xml
    #     imu_filter_controllers/src/complementary_controller.cpp
  * Upgrade "hardware_interface::RobotStateInterface" to "rm_control::RobotStateInterface".
  * Update orientation controller version.
  * Merge remote-tracking branch 'alias_memory/metapackage'
  * Move all files to rm_orientation_controller/rm_orientation_controller,prepare for merge
  * Contributors: BruceLannn, QiayuanLiao, YuuinIH, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 08 Jan 2022 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-rm-orientation-controller
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-angles, ros-noetic-catkin, ros-noetic-forward-command-controller, ros-noetic-pluginlib, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2-geometry-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-orientation-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-angles, ros-noetic-forward-command-controller, ros-noetic-pluginlib, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2-geometry-msgs
Description: RoboMaster standard robot orientation controller

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rm-orientation-controller//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rm-orientation-controller 0.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
         rm_common
 
         pluginlib
+        controller_interface
         forward_command_controller
         tf2_geometry_msgs
         angles

=== debian/changelog ===
ros-noetic-rm-orientation-controller (0.1.10-1focal) focal; urgency=high

  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/106> from ye-luo-xi-tui/master
    0.1.9
  * Contributors: ye-luo-xi-tui

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-rm-orientation-controller (0.1.9-1focal) focal; urgency=high

  * Merge branch 'master' into balance_standard
  * Merge pull request #97 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/97> from ye-luo-xi-tui/master
    0.1.8
  * Contributors: ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-orientation-controller (0.1.8-1focal) focal; urgency=high

  * Merge pull request #91 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/91> from ye-luo-xi-tui/imu_offline
    Dealing with the situation of imu offline.
  * Dealing with the situation of imu offline.
  * Merge pull request #86 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/86> from NaHCO3bc/Readme
    Fix the dependence part bug.
  * Modify the test file folder.
  * Fix the dependence part bug.
  * Merge pull request #85 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/85> from ye-luo-xi-tui/master
    0.1.7
  * Contributors: NaHCO3bc, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-orientation-controller (0.1.7-1focal) focal; urgency=high

  * Optimize rm_orientation_controller.
  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 10 Sep 2022 00:00:00 -0000

ros-noetic-rm-orientation-controller (0.1.6-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-orientation-controller (0.1.5-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Merge pull request #63 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/63> from ye-luo-xi-tui/master
    Publish tf from odom to base_link use imu data which is got from interface until getting imu data from topic
  * 0.1.4
  * Publish tf from odom to base_link use imu data which is got from interface until get imu data from topic.
  * Merge pull request #53 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/53> from ye-luo-xi-tui/orientation_controller
    Fix a bug that time stamp error
  * Fix a bug that time stamp error when it can't find transform from imu to odom.
  * Merge branch 'master' into gimbal_track
  * Merge pull request #45 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/45> from mlione/master
    Delete some config files in rm_controllers.
  * Merge pull request #50 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/50> from ye-luo-xi-tui/ori
    Make rm_orientation_controller publish tf use imu data on the topic
  * Delete some config files in rm_controller.
  * Solve a problem that look up future transform.
  * Delete publish_rate and relative codes.
  * Publish tf use imu data on the topic.
  * Merge pull request #46 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/46> from ye-luo-xi-tui/master
    Deprecated imu_filter_controller
  * Contributors: QiayuanLiao, YuuinIH, mlione, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-orientation-controller (0.1.3-1focal) focal; urgency=high

  * Merge branch 'master' into forward_feed
  * Merge pull request #40 <https://github.com/ye-luo-xi-tui/rm_controllers/issues/40> from ye-luo-xi-tui/maintain
    Delete configuration of robot_state_controller in each of controllers' config file
  * Delete configuration of robot_state_controller in each of controllers' config file
  * Merge branch 'master' into standard3
  * Merge remote-tracking branch 'origin/master'
  * Contributors: QiayuanLiao, qiayuan, ye-luo-xi-tui, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-orientation-controller (0.1.2-1focal) focal; urgency=high

  * Merge branch 'master' into omni_wheel_controller
  * Merge pull request #23 <https://github.com/rm-controls/rm_controllers/issues/23> from ye-luo-xi-tui/master
    Add ImuFilterBase, overwrite ComplementaryController, add MadgwickController
  * Fix format error
    (cherry picked from commit f7519e6800095d933f9d4c85f108ae5260001572)
  * Merge branch 'master' of https://github.com/YuuinIH/rm_controllers
  * Merge branch 'gimbal/opti_or_simplify' into chassis/balance_imu_interface
  * Run pre-commit
  * Merge branch 'master' into gimbal/opti_or_simplify
    # Conflicts:
    #     rm_orientation_controller/launch/load_controllers.launch
    #     rm_orientation_controller/src/orientation_controller.cpp
  * Merge branch 'master' into chassis/balance_imu_interface
  * Run pre-commit
  * Update the config of rm_orientation_controller, load only one controller on launch instead of spawn controllers
  * Correct "rm_orientation_controllers" to "rm_orientation_controller".
  * Fix pre-commit
  * Code style and delete unnecessary
  * Merge branch 'master' into imu_filter_controllers
    # Conflicts:
    #     imu_filter_controllers/CMakeLists.txt
    #     imu_filter_controllers/include/imu_filter_controllers/complementary_controller.h
    #     imu_filter_controllers/package.xml
    #     imu_filter_controllers/src/complementary_controller.cpp
  * Upgrade "hardware_interface::RobotStateInterface" to "rm_control::RobotStateInterface".
  * Update orientation controller version.
  * Merge remote-tracking branch 'alias_memory/metapackage'
  * Move all files to rm_orientation_controller/rm_orientation_controller,prepare for merge
  * Contributors: BruceLannn, QiayuanLiao, YuuinIH, qiayuan, yezi

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 08 Jan 2022 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-rm-orientation-controller
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-angles, ros-noetic-catkin, ros-noetic-controller-interface, ros-noetic-forward-command-controller, ros-noetic-pluginlib, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2-geometry-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-orientation-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-angles, ros-noetic-controller-interface, ros-noetic-forward-command-controller, ros-noetic-pluginlib, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2-geometry-msgs
Description: RoboMaster standard robot orientation controller
